<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.enterprise.project.mapper.EnterpriseProjectMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="enterpriseProjectResultMap" type="org.springblade.enterprise.project.entity.EnterpriseProject">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="name" property="name"/>
        <result column="investment_scale" property="investmentScale"/>
        <result column="employment_number" property="employmentNumber"/>
        <result column="research_number" property="researchNumber"/>
        <result column="investment_amount" property="investmentAmount"/>
        <result column="investment_return" property="investmentReturn"/>
        <result column="investment_completed" property="investmentCompleted"/>
        <result column="research_cost" property="researchCost"/>
        <result column="taxes" property="taxes"/>
        <result column="taward" property="taward"/>
        <result column="taward_completed" property="tawardCompleted"/>
        <result column="tenant_id" property="tenantId"/>
        <result column="org_position" property="orgPosition"/>
        <result column="enterprise_id" property="enterpriseId"/>
    </resultMap>


    <select id="selectEnterpriseProjectPage" resultMap="enterpriseProjectResultMap">
        select * from yc_enterprise_project where is_deleted = 0
    </select>

</mapper>
